| ghc-6.10.4: The GHC API | Contents | Index

Lexer

Documentation
data Token

Constructors

ITas |
ITcase |
ITclass |
ITdata |
ITdefault |
ITderiving |
ITdo |
ITelse |
IThiding |
ITif |
ITimport |
ITin |
ITinfix |
ITinfixl |
ITinfixr |
ITinstance |
ITlet |
ITmodule |
ITnewtype |
ITof |
ITqualified |
ITthen |
ITtype |
ITwhere |
ITscc |
ITforall |
ITforeign |
ITexport |
ITlabel |
ITdynamic |
ITsafe |
ITthreadsafe |
ITunsafe |
ITstdcallconv |
ITccallconv |
ITdotnet |
ITmdo |
ITfamily |
ITgroup |
ITby |
ITusing |
ITinline_prag Bool |
ITspec_prag |
ITspec_inline_prag Bool |
ITsource_prag |
ITrules_prag |
ITwarning_prag |
ITdeprecated_prag |
ITline_prag |
ITscc_prag |
ITgenerated_prag |
ITcore_prag |
ITunpack_prag |
ITclose_prag |
IToptions_prag String |
ITinclude_prag String |
ITlanguage_prag |
ITdotdot |
ITcolon |
ITdcolon |
ITequal |
ITlam |
ITvbar |
ITlarrow |
ITrarrow |
ITat |
ITtilde |
ITdarrow |
ITminus |
ITbang |
ITstar |
ITdot |
ITbiglam |
ITocurly |
ITccurly |
ITocurlybar |
ITccurlybar |
ITvocurly | }, for type applications
ITvccurly |
ITobrack |
ITopabrack |
ITcpabrack |
ITcbrack |
IToparen |
ITcparen |
IToubxparen |
ITcubxparen |
ITsemi |
ITcomma |
ITunderscore |
ITbackquote |
ITvarid FastString |
ITconid FastString |
ITvarsym FastString |
ITconsym FastString |
ITqvarid (FastString, FastString) |
ITqconid (FastString, FastString) |
ITqvarsym (FastString, FastString) |
ITqconsym (FastString, FastString) |
ITprefixqvarsym (FastString, FastString) |
ITprefixqconsym (FastString, FastString) |
ITdupipvarid FastString |
ITpragma StringBuffer |
ITchar Char |
ITstring FastString |
ITinteger Integer |
ITrational Rational |
ITprimchar Char |
ITprimstring FastString |
ITprimint Integer |
ITprimword Integer |
ITprimfloat Rational |
ITprimdouble Rational |
ITopenExpQuote |
ITopenPatQuote |
ITopenDecQuote |
ITopenTypQuote |
ITcloseQuote |
ITidEscape FastString |
ITparenEscape |
ITvarQuote |
ITtyQuote |
ITquasiQuote (FastString, FastString, SrcSpan) |
ITproc |
ITrec |
IToparenbar |
ITcparenbar |
ITlarrowtail |
ITrarrowtail |
ITLarrowtail |
ITRarrowtail |
ITunknown String |
ITeof |
ITdocCommentNext String |
ITdocCommentPrev String |
ITdocCommentNamed String |
ITdocSection Int String |
ITdocOptions String |
ITdocOptionsOld String |
ITlineComment String |
ITblockComment String |

lexer :: (Located Token -> P a) -> P a
pragState :: DynFlags -> StringBuffer -> SrcLoc -> PState
mkPState :: StringBuffer -> SrcLoc -> DynFlags -> PState
data PState

Constructors

PState |

buffer :: StringBuffer |
dflags :: DynFlags |
messages :: Messages |
last_loc :: SrcSpan |
last_offs :: !Int |
last_len :: !Int |
last_line_len :: !Int |
loc :: SrcLoc |
extsBitmap :: !Int |
context :: [LayoutContext] |
lex_state :: [Int] |

newtype P a

Constructors

P |

unP :: PState -> ParseResult a |

Instances

Monad P

data ParseResult a

Constructors

POk PState a |
PFailed SrcSpan Message |

getSrcLoc :: P SrcLoc
failLocMsgP :: SrcLoc -> SrcLoc -> String -> P a
failSpanMsgP :: SrcSpan -> SDoc -> P a
srcParseFail :: P a
getMessages :: PState -> Messages
popContext :: P ()
pushCurrentContext :: P ()
setLastToken :: SrcSpan -> Int -> Int -> P ()
setSrcLoc :: SrcLoc -> P ()
getLexState :: P Int
popLexState :: P Int
pushLexState :: Int -> P ()
extension :: (Int -> Bool) -> P Bool
standaloneDerivingEnabled
bangPatEnabled
addWarning :: DynFlag -> SrcSpan -> SDoc -> P ()
lexTokenStream :: StringBuffer -> SrcLoc -> DynFlags -> ParseResult [Located Token]
Produced by Haddock version 2.4.2